Subject: bug#10844: 24.0.93; Slightly unclear help text about remapped commands

From: Phil Sainty <[email-masked]>
Date: Mon, 20 Feb 2012 21:25:50 +1300

On 20/02/2012 04:25, Drew Adams wrote:
>> kill-buffer is an interactive built-in function in `C source code'.
>> It is remapped to `ido-kill-buffer', which is bound to C-x k.
>>
>> I was puzzled [by] what this meant.
>
> Remapping: the "mapping" is between commands and keys.  It should be sufficient
> to add only a couple of words here to make things clearer.  E.g.
>
> Its keys have been remapped to `ido-kill-buffer': `C-x k', `C-M-whatever',...
> ^^^^^^^^
>
> It is fine for the regular doc, which explains things more precisely and at more
> length, to speak of one _command_ being remapped to another _command_.  But here
> it might be better to speak of one command's key bindings being remapped to
> another command.
>
> That said, I don't have a problem with the current help in this context.  I
> mainly want us to avoid becoming verbose here just in order to make clear what
> admittedly could be confusing.

What if the wording were kept the same, but the word "remapped"
was linked to the relevant page in the info manual?

That keeps it concise for people who know what it means, and
provides all the details for anyone who doesn't.